Class | RSS::RDF
In: | rss/trackback.rb rss/syndication.rb rss/image.rb rss/dublincore.rb rss/content.rb rss/1.0.rb
Parent: | Object

### Methods

full_name new required_uri to_s

### Included Modules

RSS10 RootElementMixin

### Classes and Modules

Class RSS::RDF::Channel
Class RSS::RDF::Image
Class RSS::RDF::Item
Class RSS::RDF::Li
Class RSS::RDF::Seq
Class RSS::RDF::Textinput

### Constants

PREFIX | = | 'rdf'
URI | = | "http://www.w3.org/1999/02/22-rdf-syntax-ns#"

### Attributes

encoding | [RW] |
rss_version | [RW] |
standalone | [RW] |
version | [RW] |

### Public Class methods

new(version=nil, encoding=nil, standalone=nil)

[Source]

    # File rss/1.0.rb, line 55
        def initialize(version=nil, encoding=nil, standalone=nil)
          super('1.0', version, encoding, standalone)
        end

required_uri()

[Source]

    # File rss/1.0.rb, line 24
          def required_uri
            URI
          end

### Public Instance methods

full_name()

[Source]

    # File rss/1.0.rb, line 59
        def full_name
          tag_name_with_prefix(PREFIX)
        end

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/1.0.rb, line 63
        def to_s(need_convert=true, indent=calc_indent)
          rv = tag(indent, ns_declarations) do |next_indent|
            [
              channel_element(false, next_indent),
              image_element(false, next_indent),
              item_elements(false, next_indent),
              textinput_element(false, next_indent),
              other_element(false, next_indent),
            ]
          end
          rv = convert(rv) if need_convert
          rv
        end

[Validate]